This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 962069 - Use pid file for checking status
Use pid file for checking status
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: shellinabox (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-11 09:29 EDT by Ruben Kerkhof
Modified: 2013-06-03 06:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-03 06:20:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2013-05-11 09:29:53 EDT
Description of problem:

service shellinaboxd stop just stopped my shellinabox processes which were running under supervisor. It shouldn't do that, but use the pidfile to decide which processes to kill.

This can be fixed by applying:

diff --git a/shellinaboxd.init b/shellinaboxd.init
index db7c55e..f62c4aa 100644
--- a/shellinaboxd.init
+++ b/shellinaboxd.init
@@ -46,7 +46,7 @@ start() {
 
 stop() {
     echo -n $"Stopping $prog: "
-    killproc $prog
+    killproc -p /var/run/$prog.pid $prog
     retval=$?
     echo
     [ $retval -eq 0 ] && rm -f $lockfile
@@ -68,7 +68,7 @@ force_reload() {
 
 rh_status() {
     # run checks to determine if the service is running or use generic status
-    status $prog
+    status -p /var/run/$prog.pid $prog
 }
Comment 1 Fedora Update System 2013-05-11 13:12:54 EDT
shellinabox-2.14-22.git88822c1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/shellinabox-2.14-22.git88822c1.fc19
Comment 2 Fedora Update System 2013-05-11 13:13:12 EDT
shellinabox-2.14-22.git88822c1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/shellinabox-2.14-22.git88822c1.fc18
Comment 3 Fedora Update System 2013-05-11 13:13:31 EDT
shellinabox-2.14-22.git88822c1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/shellinabox-2.14-22.git88822c1.fc17
Comment 4 Fedora Update System 2013-05-11 13:14:00 EDT
shellinabox-2.14-22.git88822c1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/shellinabox-2.14-22.git88822c1.el6
Comment 5 Fedora Update System 2013-05-11 13:14:18 EDT
shellinabox-2.14-22.git88822c1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/shellinabox-2.14-22.git88822c1.el5
Comment 6 Fedora Update System 2013-05-23 08:34:03 EDT
shellinabox-2.14-22.git88822c1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-05-23 08:34:43 EDT
shellinabox-2.14-22.git88822c1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-05-24 16:46:31 EDT
shellinabox-2.14-22.git88822c1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-05-28 15:36:11 EDT
shellinabox-2.14-22.git88822c1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-05-28 15:38:21 EDT
shellinabox-2.14-22.git88822c1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.